diff --git a/xhpc-modules/pom.xml b/xhpc-modules/pom.xml
index 79b11525..70ae1acf 100644
--- a/xhpc-modules/pom.xml
+++ b/xhpc-modules/pom.xml
@@ -15,6 +15,7 @@
xhpc-charging-station
xhpc-user
xhpc-payment
+ xhpc-order
xhpc-modules
diff --git a/xhpc-modules/xhpc-order/.gitignore b/xhpc-modules/xhpc-order/.gitignore
new file mode 100644
index 00000000..549e00a2
--- /dev/null
+++ b/xhpc-modules/xhpc-order/.gitignore
@@ -0,0 +1,33 @@
+HELP.md
+target/
+!.mvn/wrapper/maven-wrapper.jar
+!**/src/main/**/target/
+!**/src/test/**/target/
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+.sts4-cache
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+/nbproject/private/
+/nbbuild/
+/dist/
+/nbdist/
+/.nb-gradle/
+build/
+!**/src/main/**/build/
+!**/src/test/**/build/
+
+### VS Code ###
+.vscode/
diff --git a/xhpc-modules/xhpc-order/.mvn/wrapper/MavenWrapperDownloader.java b/xhpc-modules/xhpc-order/.mvn/wrapper/MavenWrapperDownloader.java
new file mode 100644
index 00000000..a45eb6ba
--- /dev/null
+++ b/xhpc-modules/xhpc-order/.mvn/wrapper/MavenWrapperDownloader.java
@@ -0,0 +1,118 @@
+/*
+ * Copyright 2007-present the original author or authors.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ * https://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+import java.net.*;
+import java.io.*;
+import java.nio.channels.*;
+import java.util.Properties;
+
+public class MavenWrapperDownloader {
+
+ private static final String WRAPPER_VERSION = "0.5.6";
+ /**
+ * Default URL to download the maven-wrapper.jar from, if no 'downloadUrl' is provided.
+ */
+ private static final String DEFAULT_DOWNLOAD_URL = "https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/"
+ + WRAPPER_VERSION + "/maven-wrapper-" + WRAPPER_VERSION + ".jar";
+
+ /**
+ * Path to the maven-wrapper.properties file, which might contain a downloadUrl property to
+ * use instead of the default one.
+ */
+ private static final String MAVEN_WRAPPER_PROPERTIES_PATH =
+ ".mvn/wrapper/maven-wrapper.properties";
+
+ /**
+ * Path where the maven-wrapper.jar will be saved to.
+ */
+ private static final String MAVEN_WRAPPER_JAR_PATH =
+ ".mvn/wrapper/maven-wrapper.jar";
+
+ /**
+ * Name of the property which should be used to override the default download url for the wrapper.
+ */
+ private static final String PROPERTY_NAME_WRAPPER_URL = "wrapperUrl";
+
+ public static void main(String args[]) {
+ System.out.println("- Downloader started");
+ File baseDirectory = new File(args[0]);
+ System.out.println("- Using base directory: " + baseDirectory.getAbsolutePath());
+
+ // If the maven-wrapper.properties exists, read it and check if it contains a custom
+ // wrapperUrl parameter.
+ File mavenWrapperPropertyFile = new File(baseDirectory, MAVEN_WRAPPER_PROPERTIES_PATH);
+ String url = DEFAULT_DOWNLOAD_URL;
+ if (mavenWrapperPropertyFile.exists()) {
+ FileInputStream mavenWrapperPropertyFileInputStream = null;
+ try {
+ mavenWrapperPropertyFileInputStream = new FileInputStream(mavenWrapperPropertyFile);
+ Properties mavenWrapperProperties = new Properties();
+ mavenWrapperProperties.load(mavenWrapperPropertyFileInputStream);
+ url = mavenWrapperProperties.getProperty(PROPERTY_NAME_WRAPPER_URL, url);
+ } catch (IOException e) {
+ System.out.println("- ERROR loading '" + MAVEN_WRAPPER_PROPERTIES_PATH + "'");
+ } finally {
+ try {
+ if (mavenWrapperPropertyFileInputStream != null) {
+ mavenWrapperPropertyFileInputStream.close();
+ }
+ } catch (IOException e) {
+ // Ignore ...
+ }
+ }
+ }
+ System.out.println("- Downloading from: " + url);
+
+ File outputFile = new File(baseDirectory.getAbsolutePath(), MAVEN_WRAPPER_JAR_PATH);
+ if (!outputFile.getParentFile().exists()) {
+ if (!outputFile.getParentFile().mkdirs()) {
+ System.out.println(
+ "- ERROR creating output directory '" + outputFile.getParentFile().getAbsolutePath() + "'");
+ }
+ }
+ System.out.println("- Downloading to: " + outputFile.getAbsolutePath());
+ try {
+ downloadFileFromURL(url, outputFile);
+ System.out.println("Done");
+ System.exit(0);
+ } catch (Throwable e) {
+ System.out.println("- Error downloading");
+ e.printStackTrace();
+ System.exit(1);
+ }
+ }
+
+ private static void downloadFileFromURL(String urlString, File destination) throws Exception {
+ if (System.getenv("MVNW_USERNAME") != null && System.getenv("MVNW_PASSWORD") != null) {
+ String username = System.getenv("MVNW_USERNAME");
+ char[] password = System.getenv("MVNW_PASSWORD").toCharArray();
+ Authenticator.setDefault(new Authenticator() {
+ @Override
+ protected PasswordAuthentication getPasswordAuthentication() {
+ return new PasswordAuthentication(username, password);
+ }
+ });
+ }
+ URL website = new URL(urlString);
+ ReadableByteChannel rbc;
+ rbc = Channels.newChannel(website.openStream());
+ FileOutputStream fos = new FileOutputStream(destination);
+ fos.getChannel().transferFrom(rbc, 0, Long.MAX_VALUE);
+ fos.close();
+ rbc.close();
+ }
+
+}
diff --git a/xhpc-modules/xhpc-order/.mvn/wrapper/maven-wrapper.jar b/xhpc-modules/xhpc-order/.mvn/wrapper/maven-wrapper.jar
new file mode 100644
index 00000000..2cc7d4a5
Binary files /dev/null and b/xhpc-modules/xhpc-order/.mvn/wrapper/maven-wrapper.jar differ
diff --git a/xhpc-modules/xhpc-order/.mvn/wrapper/maven-wrapper.properties b/xhpc-modules/xhpc-order/.mvn/wrapper/maven-wrapper.properties
new file mode 100644
index 00000000..ffdc10e5
--- /dev/null
+++ b/xhpc-modules/xhpc-order/.mvn/wrapper/maven-wrapper.properties
@@ -0,0 +1,2 @@
+distributionUrl=https://repo.maven.apache.org/maven2/org/apache/maven/apache-maven/3.8.1/apache-maven-3.8.1-bin.zip
+wrapperUrl=https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar
diff --git a/xhpc-modules/xhpc-order/mvnw b/xhpc-modules/xhpc-order/mvnw
new file mode 100644
index 00000000..a16b5431
--- /dev/null
+++ b/xhpc-modules/xhpc-order/mvnw
@@ -0,0 +1,310 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+ # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+ if [ -z "$JAVA_HOME" ]; then
+ if [ -x "/usr/libexec/java_home" ]; then
+ export JAVA_HOME="`/usr/libexec/java_home`"
+ else
+ export JAVA_HOME="/Library/Java/Home"
+ fi
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+ if [ -z "$1" ]
+ then
+ echo "Path not specified to find_maven_basedir"
+ return 1
+ fi
+
+ basedir="$1"
+ wdir="$1"
+ while [ "$wdir" != '/' ] ; do
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+ if [ -d "${wdir}" ]; then
+ wdir=`cd "$wdir/.."; pwd`
+ fi
+ # end of workaround
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+ exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found .mvn/wrapper/maven-wrapper.jar"
+ fi
+else
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+ fi
+ if [ -n "$MVNW_REPOURL" ]; then
+ jarUrl="$MVNW_REPOURL/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+ else
+ jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+ fi
+ while IFS="=" read key value; do
+ case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+ esac
+ done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Downloading from: $jarUrl"
+ fi
+ wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+ if $cygwin; then
+ wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
+ fi
+
+ if command -v wget > /dev/null; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found wget ... using wget"
+ fi
+ if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+ wget "$jarUrl" -O "$wrapperJarPath"
+ else
+ wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath"
+ fi
+ elif command -v curl > /dev/null; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Found curl ... using curl"
+ fi
+ if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+ curl -o "$wrapperJarPath" "$jarUrl" -f
+ else
+ curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+ fi
+
+ else
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo "Falling back to using Java to download"
+ fi
+ javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+ # For Cygwin, switch paths to Windows format before running javac
+ if $cygwin; then
+ javaClass=`cygpath --path --windows "$javaClass"`
+ fi
+ if [ -e "$javaClass" ]; then
+ if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo " - Compiling MavenWrapperDownloader.java ..."
+ fi
+ # Compiling the Java class
+ ("$JAVA_HOME/bin/javac" "$javaClass")
+ fi
+ if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+ # Running the downloader
+ if [ "$MVNW_VERBOSE" = true ]; then
+ echo " - Running MavenWrapperDownloader.java ..."
+ fi
+ ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+ fi
+ fi
+ fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+ echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+ [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+ MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"
diff --git a/xhpc-modules/xhpc-order/mvnw.cmd b/xhpc-modules/xhpc-order/mvnw.cmd
new file mode 100644
index 00000000..c8d43372
--- /dev/null
+++ b/xhpc-modules/xhpc-order/mvnw.cmd
@@ -0,0 +1,182 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+
+FOR /F "tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+ IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+ if "%MVNW_VERBOSE%" == "true" (
+ echo Found %WRAPPER_JAR%
+ )
+) else (
+ if not "%MVNW_REPOURL%" == "" (
+ SET DOWNLOAD_URL="%MVNW_REPOURL%/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+ )
+ if "%MVNW_VERBOSE%" == "true" (
+ echo Couldn't find %WRAPPER_JAR%, downloading it ...
+ echo Downloading from: %DOWNLOAD_URL%
+ )
+
+ powershell -Command "&{"^
+ "$webclient = new-object System.Net.WebClient;"^
+ "if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+ "$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+ "}"^
+ "[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+ "}"
+ if "%MVNW_VERBOSE%" == "true" (
+ echo Finished downloading %WRAPPER_JAR%
+ )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
diff --git a/xhpc-modules/xhpc-order/pom.xml b/xhpc-modules/xhpc-order/pom.xml
new file mode 100644
index 00000000..b3783c6d
--- /dev/null
+++ b/xhpc-modules/xhpc-order/pom.xml
@@ -0,0 +1,100 @@
+
+
+
+ com.ruoyi
+ xhpc-modules
+ 3.0.0
+
+ 4.0.0
+
+ xhpc-order
+
+
+ 订单服务
+
+
+
+ 8
+ 8
+
+
+
+
+
+
+ com.alibaba.cloud
+ spring-cloud-starter-alibaba-nacos-discovery
+
+
+
+
+ com.alibaba.cloud
+ spring-cloud-starter-alibaba-nacos-config
+
+
+
+
+ com.alibaba.cloud
+ spring-cloud-starter-alibaba-sentinel
+
+
+
+ org.springframework.boot
+ spring-boot-starter-actuator
+
+
+
+ org.springframework.boot
+ spring-boot-starter-web
+
+
+
+
+ mysql
+ mysql-connector-java
+
+
+
+
+ com.ruoyi
+ ruoyi-common-datasource
+
+
+
+
+ com.ruoyi
+ ruoyi-common-datascope
+
+
+
+
+ ${project.artifactId}
+
+
+ src/main/resources
+
+
+ src/main/java
+
+ **/*.xml
+
+
+
+
+
+ org.springframework.boot
+ spring-boot-maven-plugin
+ 2.4.0
+
+
+
+ repackage
+
+
+
+
+
+
+
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/OrderApplication.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/OrderApplication.java
new file mode 100644
index 00000000..fc6e7f8e
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/OrderApplication.java
@@ -0,0 +1,21 @@
+package com.xhpc.order;
+
+import com.ruoyi.common.security.annotation.EnableCustomConfig;
+import com.ruoyi.common.security.annotation.EnableRyFeignClients;
+import org.mybatis.spring.annotation.MapperScan;
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+import org.springframework.cloud.openfeign.EnableFeignClients;
+
+@EnableCustomConfig
+@EnableRyFeignClients
+@EnableFeignClients
+@SpringBootApplication
+@MapperScan("com.xhpc.order.mapper")
+public class OrderApplication {
+
+ public static void main(String[] args) {
+ SpringApplication.run(OrderApplication.class, args);
+ }
+
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/aspect/DaoAspect.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/aspect/DaoAspect.java
new file mode 100644
index 00000000..0045a824
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/aspect/DaoAspect.java
@@ -0,0 +1,106 @@
+package com.xhpc.order.aspect;
+
+
+import com.ruoyi.common.core.utils.StringUtils;
+import org.apache.commons.beanutils.BeanUtils;
+import org.aspectj.lang.ProceedingJoinPoint;
+import org.aspectj.lang.annotation.Around;
+import org.aspectj.lang.annotation.Aspect;
+import org.aspectj.lang.annotation.Pointcut;
+import org.springframework.context.annotation.Configuration;
+import org.springframework.stereotype.Component;
+import org.springframework.web.context.request.RequestContextHolder;
+import org.springframework.web.context.request.ServletRequestAttributes;
+
+import java.util.Date;
+
+/*
+ * TODO AO切面,插入创建人,创建时间,修改人,修改时间
+ * @author fjd
+ * @date 2020-07-09 11:59
+ */
+@Aspect
+@Component
+@Configuration
+public class DaoAspect {
+ private static final String CREATE_USER = "createUser";
+ private static final String CREATE_TIME = "createTime";
+ private static final String UPDATE_USER = "updateUser";
+ private static final String UPDATE_TIME = "updateTime";
+
+ @Pointcut("execution(* com.xhpc..*.update*(..))")
+ public void daoUpdate() {
+ }
+
+ @Pointcut("execution(* com.xhpc..*.insert*(..))")
+ public void daoCreate() {
+ }
+
+ @Around("daoUpdate()")
+ public Object doAroundUpdate(ProceedingJoinPoint point) throws Throwable {
+ ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
+ if (attributes == null) {
+ return point.proceed();
+ }
+ //String userName = StringUtils.valueOf(SecurityUtils.getUsername());
+ String userName = "";
+ if (StringUtils.isNull(userName)) {
+ userName = "admin";
+ }
+ if (userName != null) {
+ Object[] objects = point.getArgs();
+ if (objects != null && objects.length > 0) {
+ for (Object arg : objects) {
+ if (isProperty(arg, UPDATE_USER) && StringUtils.isNull(BeanUtils.getProperty(arg, UPDATE_USER))) {
+ BeanUtils.setProperty(arg, UPDATE_USER, userName);
+ }
+ if (isProperty(arg, UPDATE_TIME) && StringUtils.isNull(BeanUtils.getProperty(arg, UPDATE_TIME))) {
+ BeanUtils.setProperty(arg, UPDATE_TIME, new Date());
+ }
+ }
+ }
+ }
+ Object object = point.proceed();
+ return object;
+
+ }
+
+ @Around("daoCreate()")
+ public Object doAroundCreate(ProceedingJoinPoint point) throws Throwable {
+ ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
+ if (attributes == null) {
+ return point.proceed();
+ }
+ Object[] objects = point.getArgs();
+ if (objects != null && objects.length > 0) {
+ for (Object arg : objects) {
+ //String userName = StringUtils.valueOf(SecurityUtils.getUsername());
+ String userName = "";
+ Date date = new Date();
+ if (StringUtils.isNull(userName)) {
+ userName = "admin";
+ }
+ if (isProperty(arg, CREATE_USER) && StringUtils.isNull(BeanUtils.getProperty(arg, CREATE_USER))) {
+ BeanUtils.setProperty(arg, CREATE_USER, userName);
+ }
+ if (isProperty(arg, UPDATE_USER) && StringUtils.isNull(BeanUtils.getProperty(arg, UPDATE_USER))) {
+ BeanUtils.setProperty(arg, UPDATE_USER, userName);
+ }
+
+ if (isProperty(arg, CREATE_TIME) && StringUtils.isNull(BeanUtils.getProperty(arg, CREATE_TIME))) {
+ BeanUtils.setProperty(arg, CREATE_TIME, date);
+ }
+ if (isProperty(arg, UPDATE_TIME) && StringUtils.isNull(BeanUtils.getProperty(arg, UPDATE_TIME))) {
+ BeanUtils.setProperty(arg, UPDATE_TIME, date);
+ }
+ }
+ }
+ Object object = point.proceed();
+ return object;
+ }
+
+ public static boolean isProperty(Object bean, String field) {
+ return StringUtils.isProperty(bean, field);
+ }
+
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/controller/XhpcHistoryOrderReconciliationStatusController.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/controller/XhpcHistoryOrderReconciliationStatusController.java
new file mode 100644
index 00000000..c609a62e
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/controller/XhpcHistoryOrderReconciliationStatusController.java
@@ -0,0 +1,45 @@
+package com.xhpc.order.controller;
+
+import com.ruoyi.common.core.web.controller.BaseController;
+import com.ruoyi.common.core.web.domain.AjaxResult;
+import com.xhpc.order.domain.XhpcHistoryOrderReconciliationStatus;
+import com.xhpc.order.service.IXhpcHistoryOrderReconciliationStatusService;
+import io.swagger.annotations.Api;
+import io.swagger.annotations.ApiOperation;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.web.bind.annotation.*;
+
+import javax.validation.Valid;
+
+@RestController
+@RequestMapping("/order/reconciliation")
+@Api(value = "历史订单对账状态接口", tags = "历史订单对账状态接口")
+public class XhpcHistoryOrderReconciliationStatusController extends BaseController {
+
+ @Autowired
+ private IXhpcHistoryOrderReconciliationStatusService iXhpcHistoryOrderReconciliationStatusService;
+
+ /**
+ * 修改对账状态
+ *
+ * @param xhpcHistoryOrderReconciliationStatus 历史订单对账状态信息
+ * @return
+ */
+ @GetMapping("/status")
+ @ApiOperation(value = "修改对账状态")
+ public AjaxResult status(@Valid @RequestBody XhpcHistoryOrderReconciliationStatus xhpcHistoryOrderReconciliationStatus) {
+ return iXhpcHistoryOrderReconciliationStatusService.status(xhpcHistoryOrderReconciliationStatus);
+ }
+
+ /**
+ * 流量用户信息
+ *
+ * @param internetUserId 流量用户id
+ * @return
+ */
+ @GetMapping("/internetUser")
+ @ApiOperation(value = "修改对账状态")
+ public AjaxResult internetUser(@RequestParam Long internetUserId) {
+ return iXhpcHistoryOrderReconciliationStatusService.internetUser(internetUserId);
+ }
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/controller/XhpcHistoryOrderSortingStatusController.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/controller/XhpcHistoryOrderSortingStatusController.java
new file mode 100644
index 00000000..1c4c27c0
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/controller/XhpcHistoryOrderSortingStatusController.java
@@ -0,0 +1,36 @@
+package com.xhpc.order.controller;
+
+import com.ruoyi.common.core.web.controller.BaseController;
+import com.ruoyi.common.core.web.domain.AjaxResult;
+import com.xhpc.order.domain.XhpcHistoryOrderSortingStatus;
+import com.xhpc.order.service.IXhpcHistoryOrderSortingStatusService;
+import io.swagger.annotations.Api;
+import io.swagger.annotations.ApiOperation;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestBody;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
+
+import javax.validation.Valid;
+
+@RestController
+@RequestMapping("/order/sorting")
+@Api(value = "历史订单清分状态接口", tags = "历史订单清分状态接口")
+public class XhpcHistoryOrderSortingStatusController extends BaseController {
+
+ @Autowired
+ private IXhpcHistoryOrderSortingStatusService iXhpcHistoryOrderSortingStatusService;
+
+ /**
+ * 修改清分状态
+ *
+ * @param xhpcHistoryOrderSortingStatus 历史订单清分状态信息
+ * @return
+ */
+ @GetMapping("/status")
+ @ApiOperation(value = "修改清分状态")
+ public AjaxResult status(@Valid @RequestBody XhpcHistoryOrderSortingStatus xhpcHistoryOrderSortingStatus) {
+ return iXhpcHistoryOrderSortingStatusService.status(xhpcHistoryOrderSortingStatus);
+ }
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrder.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrder.java
new file mode 100644
index 00000000..1a551928
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrder.java
@@ -0,0 +1,339 @@
+package com.xhpc.order.domain;
+
+import com.ruoyi.common.core.web.domain.BaseEntity;
+
+import java.math.BigDecimal;
+
+
+/**
+ * @author
+ * @description 历史订单 xhpc_history_order
+ * @date 2021-07-22
+ */
+public class XhpcHistoryOrder extends BaseEntity {
+
+ /**
+ * 历史订单id
+ */
+ private Long historyOrderId;
+
+ /**
+ * 电站id
+ */
+ private Long chargingStationId;
+
+ /**
+ * 充电订单id
+ */
+ private Long chargingOrderId;
+
+ /**
+ * 用户id
+ */
+ private Long userId;
+
+ /**
+ * 终端id
+ */
+ private Long terminalId;
+
+ /**
+ * 流水号
+ */
+ private String serialNumber;
+
+ /**
+ * 互联网订单流水号
+ */
+ private String internetSerialNumber;
+
+ /**
+ * 订单总价
+ */
+ private BigDecimal totalPrice;
+
+ /**
+ * 电站活动抵扣
+ */
+ private BigDecimal promotionDiscount;
+
+ /**
+ * 实际价格
+ */
+ private BigDecimal actPrice;
+
+ /**
+ * 实收电费
+ */
+ private BigDecimal actPowerPrice;
+
+ /**
+ * 实收服务费
+ */
+ private BigDecimal actServicePrice;
+
+ /**
+ * 流量方总金额抽成
+ */
+ private BigDecimal internetCommission;
+
+ /**
+ * 流量方服务费抽成
+ */
+ private BigDecimal internetSvcCommission;
+
+ /**
+ * 平台总金额抽成
+ */
+ private BigDecimal platformCommission;
+
+ /**
+ * 平台服务费抽成
+ */
+ private BigDecimal platformSvcCommisssion;
+
+ /**
+ * 运维总抽成
+ */
+ private BigDecimal operationCommission;
+
+ /**
+ * 运维服务费抽成
+ */
+ private String operationSvcCommission;
+
+ /**
+ * 开始充电soc
+ */
+ private String startSoc;
+
+ /**
+ * 结束时soc
+ */
+ private String endSoc;
+
+ /**
+ * 对账状态(0待确认 1已确认,2待提交,3待审核)
+ */
+ private Integer reconciliationStatus;
+
+ /**
+ * 清分状态(0待清分 1清分在途,2已提现,3待提交,4待审核)
+ */
+ private Integer sortingStatus;
+
+ /**
+ * 1 自动结算 2 平台结算
+ */
+ private Integer type;
+
+ /**
+ * 状态(0正常 1停用)
+ */
+ private Integer status;
+
+ /**
+ * 删除标志(0代表存在 2代表删除)
+ */
+ private Integer delFlag;
+
+ public Long getHistoryOrderId() {
+ return historyOrderId;
+ }
+
+ public void setHistoryOrderId(Long historyOrderId) {
+ this.historyOrderId = historyOrderId;
+ }
+
+ public Long getChargingStationId() {
+ return chargingStationId;
+ }
+
+ public void setChargingStationId(Long chargingStationId) {
+ this.chargingStationId = chargingStationId;
+ }
+
+ public Long getChargingOrderId() {
+ return chargingOrderId;
+ }
+
+ public void setChargingOrderId(Long chargingOrderId) {
+ this.chargingOrderId = chargingOrderId;
+ }
+
+ public Long getUserId() {
+ return userId;
+ }
+
+ public void setUserId(Long userId) {
+ this.userId = userId;
+ }
+
+ public Long getTerminalId() {
+ return terminalId;
+ }
+
+ public void setTerminalId(Long terminalId) {
+ this.terminalId = terminalId;
+ }
+
+ public String getSerialNumber() {
+ return serialNumber;
+ }
+
+ public void setSerialNumber(String serialNumber) {
+ this.serialNumber = serialNumber;
+ }
+
+ public String getInternetSerialNumber() {
+ return internetSerialNumber;
+ }
+
+ public void setInternetSerialNumber(String internetSerialNumber) {
+ this.internetSerialNumber = internetSerialNumber;
+ }
+
+ public BigDecimal getTotalPrice() {
+ return totalPrice;
+ }
+
+ public void setTotalPrice(BigDecimal totalPrice) {
+ this.totalPrice = totalPrice;
+ }
+
+ public BigDecimal getPromotionDiscount() {
+ return promotionDiscount;
+ }
+
+ public void setPromotionDiscount(BigDecimal promotionDiscount) {
+ this.promotionDiscount = promotionDiscount;
+ }
+
+ public BigDecimal getActPrice() {
+ return actPrice;
+ }
+
+ public void setActPrice(BigDecimal actPrice) {
+ this.actPrice = actPrice;
+ }
+
+ public BigDecimal getActPowerPrice() {
+ return actPowerPrice;
+ }
+
+ public void setActPowerPrice(BigDecimal actPowerPrice) {
+ this.actPowerPrice = actPowerPrice;
+ }
+
+ public BigDecimal getActServicePrice() {
+ return actServicePrice;
+ }
+
+ public void setActServicePrice(BigDecimal actServicePrice) {
+ this.actServicePrice = actServicePrice;
+ }
+
+ public BigDecimal getInternetCommission() {
+ return internetCommission;
+ }
+
+ public void setInternetCommission(BigDecimal internetCommission) {
+ this.internetCommission = internetCommission;
+ }
+
+ public BigDecimal getInternetSvcCommission() {
+ return internetSvcCommission;
+ }
+
+ public void setInternetSvcCommission(BigDecimal internetSvcCommission) {
+ this.internetSvcCommission = internetSvcCommission;
+ }
+
+ public BigDecimal getPlatformCommission() {
+ return platformCommission;
+ }
+
+ public void setPlatformCommission(BigDecimal platformCommission) {
+ this.platformCommission = platformCommission;
+ }
+
+ public BigDecimal getPlatformSvcCommisssion() {
+ return platformSvcCommisssion;
+ }
+
+ public void setPlatformSvcCommisssion(BigDecimal platformSvcCommisssion) {
+ this.platformSvcCommisssion = platformSvcCommisssion;
+ }
+
+ public BigDecimal getOperationCommission() {
+ return operationCommission;
+ }
+
+ public void setOperationCommission(BigDecimal operationCommission) {
+ this.operationCommission = operationCommission;
+ }
+
+ public String getStartSoc() {
+ return startSoc;
+ }
+
+ public void setStartSoc(String startSoc) {
+ this.startSoc = startSoc;
+ }
+
+ public String getEndSoc() {
+ return endSoc;
+ }
+
+ public void setEndSoc(String endSoc) {
+ this.endSoc = endSoc;
+ }
+
+ public Integer getReconciliationStatus() {
+ return reconciliationStatus;
+ }
+
+ public void setReconciliationStatus(Integer reconciliationStatus) {
+ this.reconciliationStatus = reconciliationStatus;
+ }
+
+ public String getOperationSvcCommission() {
+ return operationSvcCommission;
+ }
+
+ public void setOperationSvcCommission(String operationSvcCommission) {
+ this.operationSvcCommission = operationSvcCommission;
+ }
+
+ public Integer getSortingStatus() {
+ return sortingStatus;
+ }
+
+ public void setSortingStatus(Integer sortingStatus) {
+ this.sortingStatus = sortingStatus;
+ }
+
+ public Integer getType() {
+ return type;
+ }
+
+ public void setType(Integer type) {
+ this.type = type;
+ }
+
+ public Integer getStatus() {
+ return status;
+ }
+
+ public void setStatus(Integer status) {
+ this.status = status;
+ }
+
+ public Integer getDelFlag() {
+ return delFlag;
+ }
+
+ public void setDelFlag(Integer delFlag) {
+ this.delFlag = delFlag;
+ }
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrderReconciliationStatus.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrderReconciliationStatus.java
new file mode 100644
index 00000000..b965c042
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrderReconciliationStatus.java
@@ -0,0 +1,68 @@
+package com.xhpc.order.domain;
+
+import com.ruoyi.common.core.web.domain.BaseEntity;
+
+import javax.validation.constraints.NotNull;
+
+
+/**
+ * @author
+ * @description 历史订单对账状态 xhpc_history_order_reconciliation_status
+ * @date 2021-07-22
+ */
+public class XhpcHistoryOrderReconciliationStatus extends BaseEntity {
+
+ /**
+ * 历史订单对账状态id
+ */
+ private Long historyOrderReconciliationStatusId;
+
+ /**
+ * 历史订单id
+ */
+ @NotNull(message = "历史订单id不能为空")
+ private Long historyOrderId;
+
+ /**
+ * 状态(0待确认 1已确认,2待提交,3待审核)
+ */
+ @NotNull(message = "状态不能为空")
+ private Integer status;
+
+ /**
+ * 删除标志(0代表存在 2代表删除)
+ */
+ private Integer delFlag;
+
+ public Long getHistoryOrderReconciliationStatusId() {
+ return historyOrderReconciliationStatusId;
+ }
+
+ public void setHistoryOrderReconciliationStatusId(Long historyOrderReconciliationStatusId) {
+ this.historyOrderReconciliationStatusId = historyOrderReconciliationStatusId;
+ }
+
+ public Long getHistoryOrderId() {
+ return historyOrderId;
+ }
+
+ public void setHistoryOrderId(Long historyOrderId) {
+ this.historyOrderId = historyOrderId;
+ }
+
+ public Integer getStatus() {
+ return status;
+ }
+
+ public void setStatus(Integer status) {
+ this.status = status;
+ }
+
+ public Integer getDelFlag() {
+ return delFlag;
+ }
+
+ public void setDelFlag(Integer delFlag) {
+ this.delFlag = delFlag;
+ }
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrderSortingStatus.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrderSortingStatus.java
new file mode 100644
index 00000000..c5724b06
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/domain/XhpcHistoryOrderSortingStatus.java
@@ -0,0 +1,68 @@
+package com.xhpc.order.domain;
+
+import com.ruoyi.common.core.web.domain.BaseEntity;
+
+import javax.validation.constraints.NotNull;
+
+
+/**
+ * @author
+ * @description 历史订单清分状态 xhpc_history_order_sorting_status
+ * @date 2021-07-22
+ */
+public class XhpcHistoryOrderSortingStatus extends BaseEntity {
+
+ /**
+ * 历史订单清分状态id
+ */
+ private Long historyOrderSortingStatusId;
+
+ /**
+ * 历史订单id
+ */
+ @NotNull(message = "历史订单id不能为空")
+ private Long historyOrderId;
+
+ /**
+ * 状态(0待清分 1清分在途,2已提现,3待提交,4待审核)
+ */
+ @NotNull(message = "状态不能为空")
+ private Integer status;
+
+ /**
+ * 删除标志(0代表存在 2代表删除)
+ */
+ private Integer delFlag;
+
+ public Long getHistoryOrderSortingStatusId() {
+ return historyOrderSortingStatusId;
+ }
+
+ public void setHistoryOrderSortingStatusId(Long historyOrderSortingStatusId) {
+ this.historyOrderSortingStatusId = historyOrderSortingStatusId;
+ }
+
+ public Long getHistoryOrderId() {
+ return historyOrderId;
+ }
+
+ public void setHistoryOrderId(Long historyOrderId) {
+ this.historyOrderId = historyOrderId;
+ }
+
+ public Integer getStatus() {
+ return status;
+ }
+
+ public void setStatus(Integer status) {
+ this.status = status;
+ }
+
+ public Integer getDelFlag() {
+ return delFlag;
+ }
+
+ public void setDelFlag(Integer delFlag) {
+ this.delFlag = delFlag;
+ }
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/mapper/XhpcHistoryOrderMapper.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/mapper/XhpcHistoryOrderMapper.java
new file mode 100644
index 00000000..30795dc7
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/mapper/XhpcHistoryOrderMapper.java
@@ -0,0 +1,36 @@
+package com.xhpc.order.mapper;
+
+import com.xhpc.order.domain.XhpcHistoryOrder;
+import org.apache.ibatis.annotations.Param;
+
+/**
+ * 历史订单信息 数据层
+ *
+ * @author ruoyi
+ */
+public interface XhpcHistoryOrderMapper {
+
+ /**
+ * 新增 历史订单信息
+ *
+ * @param xhpcHistoryOrder 历史订单信息
+ * @return 结果
+ */
+ public int insert(XhpcHistoryOrder xhpcHistoryOrder);
+
+ /**
+ * 更新 历史订单信息
+ *
+ * @param xhpcHistoryOrder 历史订单信息
+ * @return 结果
+ */
+ public int update(XhpcHistoryOrder xhpcHistoryOrder);
+
+ /**
+ * 详情 历史订单信息
+ *
+ * @param historyOrderId 历史订单id
+ * @return 结果
+ */
+ public XhpcHistoryOrder info(@Param("historyOrderId") Long historyOrderId);
+}
diff --git a/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/mapper/XhpcHistoryOrderReconciliationStatusMapper.java b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/mapper/XhpcHistoryOrderReconciliationStatusMapper.java
new file mode 100644
index 00000000..983044d3
--- /dev/null
+++ b/xhpc-modules/xhpc-order/src/main/java/com/xhpc/order/mapper/XhpcHistoryOrderReconciliationStatusMapper.java
@@ -0,0 +1,53 @@
+package com.xhpc.order.mapper;
+
+import com.xhpc.order.domain.XhpcHistoryOrderReconciliationStatus;
+import org.apache.ibatis.annotations.Param;
+
+import java.util.List;
+import java.util.Map;
+
+/**
+ * 历史订单对账状态信息 数据层
+ *
+ * @author ruoyi
+ */
+public interface XhpcHistoryOrderReconciliationStatusMapper {
+
+ /**
+ * 新增 历史订单对账状态信息
+ *
+ * @param xhpcHistoryOrderReconciliationStatus 历史订单对账状态信息
+ * @return 结果
+ */
+ public int insert(XhpcHistoryOrderReconciliationStatus xhpcHistoryOrderReconciliationStatus);
+
+ /**
+ * 更新 历史订单对账状态信息
+ *
+ * @param xhpcHistoryOrderReconciliationStatus 历史订单对账状态信息
+ * @return 结果
+ */
+ public int update(XhpcHistoryOrderReconciliationStatus xhpcHistoryOrderReconciliationStatus);
+
+ /**
+ * 流量用户信息
+ *
+ * @param internetUserId 流量用户id
+ * @return 结果
+ */
+ public Map internetUser(@Param("internetUserId") Long internetUserId);
+
+ /**
+ * 流量用户对账分页列表
+ *
+ * @param internetUserId 流量用户id
+ * @param serialNumber 订单编号
+ * @param createTimeStart 创建开始时间
+ * @param createTimeEnd 创建结束时间
+ * @param chargingStationName 电站名称
+ * @param status 状态
+ * @return
+ */
+ public List